[arch-commits] Commit in refind-efi-i386/repos (5 files)

Tobias Powalowski tpowa at archlinux.org
Mon Sep 17 12:50:54 UTC 2012


    Date: Monday, September 17, 2012 @ 08:50:53
  Author: tpowa
Revision: 166737

archrelease: copy trunk to extra-any

Added:
  refind-efi-i386/repos/extra-any/
  refind-efi-i386/repos/extra-any/PKGBUILD
    (from rev 166736, refind-efi-i386/trunk/PKGBUILD)
  refind-efi-i386/repos/extra-any/refind-efi-i386.install
    (from rev 166736, refind-efi-i386/trunk/refind-efi-i386.install)
  refind-efi-i386/repos/extra-any/refind_include_more_shell_paths.patch
    (from rev 166736, refind-efi-i386/trunk/refind_include_more_shell_paths.patch)
  refind-efi-i386/repos/extra-any/refind_linux.conf
    (from rev 166736, refind-efi-i386/trunk/refind_linux.conf)

---------------------------------------+
 PKGBUILD                              |   71 ++++++++++++++++++++++++++++++++
 refind-efi-i386.install               |   20 +++++++++
 refind_include_more_shell_paths.patch |   21 +++++++++
 refind_linux.conf                     |    5 ++
 4 files changed, 117 insertions(+)

Copied: refind-efi-i386/repos/extra-any/PKGBUILD (from rev 166736, refind-efi-i386/trunk/PKGBUILD)
===================================================================
--- extra-any/PKGBUILD	                        (rev 0)
+++ extra-any/PKGBUILD	2012-09-17 12:50:53 UTC (rev 166737)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+# _GNU_EFI_LIB_DIR="/usr/lib"
+
+_actualname="refind"
+_pkgname="${_actualname}-efi-i386"
+pkgname="${_pkgname}"
+
+pkgver="0.4.5"
+pkgrel="1"
+pkgdesc="Rod Smith's fork of rEFIt UEFI Boot Manager"
+url="http://www.rodsbooks.com/refind/index.html"
+arch=('any')
+license=('GPL3' 'custom')
+makedepends=('gnu-efi>=3.0q')
+depends=('dosfstools' 'efibootmgr')
+optdepends=('mactel-boot: For bless command in Apple Mac systems')
+backup=('boot/efi/EFI/arch/refind/refind.conf'
+        'boot/efi/EFI/arch/refind/refind_linux.conf')
+source=("http://downloads.sourceforge.net/refind/refind-src-${pkgver}.zip"
+        'refind_include_more_shell_paths.patch'
+        'refind_linux.conf')
+options=('!strip' 'docs')
+install="${_pkgname}.install"
+
+build() {	
+	if [[ "${CARCH}" != "i686" ]]; then
+		echo "${pkgname} package can be built only in a i686 system. Exiting."
+		exit 1
+	fi	
+	cd "${srcdir}/refind-${pkgver}/"
+	make clean || true
+	patch -Np1 -i "${srcdir}/refind_include_more_shell_paths.patch"
+	sed 's|/usr/local/include/efi|/usr/include/efi|g' -i "${srcdir}/refind-${pkgver}/Make.common" || true
+	sed 's|/usr/local/lib|/usr/lib|g' -i "${srcdir}/refind-${pkgver}/Make.common" || true
+	make
+}
+
+package() {
+	cd "${srcdir}/refind-${pkgver}/"
+	
+	## install the rEFInd i386 UEFI app
+	install -d "${pkgdir}/boot/efi/EFI/arch/refind/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/refind/refind_ia32.efi" "${pkgdir}/boot/efi/EFI/arch/refind/refindia32.efi"
+	
+	## install the rEFInd config file
+	install -D -m0644 "${srcdir}/refind-${pkgver}/refind.conf-sample" "${pkgdir}/boot/efi/EFI/arch/refind/refind.conf"
+	install -D -m0644 "${srcdir}/refind_linux.conf" "${pkgdir}/boot/efi/EFI/arch/refind/refind_linux.conf"
+	
+	## install the rEFInd icons
+	install -d "${pkgdir}/boot/efi/EFI/arch/refind/icons/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/icons"/* "${pkgdir}/boot/efi/EFI/arch/refind/icons/"
+	
+	## install the rEFInd docs
+	install -d "${pkgdir}/usr/share/refind/docs/html/"
+	install -d "${pkgdir}/usr/share/refind/docs/Styles/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/docs/refind"/* "${pkgdir}/usr/share/refind/docs/html/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/docs/Styles"/* "${pkgdir}/usr/share/refind/docs/Styles/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/README.txt" "${pkgdir}/usr/share/refind/docs/README.txt"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/NEWS.txt" "${pkgdir}/usr/share/refind/docs/NEWS.txt"
+	rm -f "${pkgdir}/usr/share/refind/docs/html/.DS_Store" || true
+	
+	## install the rEFIt license file, since rEFInd is a fork of rEFIt
+	install -d "${pkgdir}/usr/share/licenses/refind/"
+	install -D -m0644 "${srcdir}/refind-${pkgver}/LICENSE.txt" "${pkgdir}/usr/share/licenses/refind/LICENSE"	
+}
+md5sums=('d3ee0a34657f0d53aad95be2c13b2acf'
+         '8da259d08ea1dc0a3a4c572913e453f9'
+         '9724316d215437b25d8cab3e19438d63')

Copied: refind-efi-i386/repos/extra-any/refind-efi-i386.install (from rev 166736, refind-efi-i386/trunk/refind-efi-i386.install)
===================================================================
--- extra-any/refind-efi-i386.install	                        (rev 0)
+++ extra-any/refind-efi-i386.install	2012-09-17 12:50:53 UTC (rev 166737)
@@ -0,0 +1,20 @@
+post_install() {
+	
+	cat << EOF 
+
+rEFInd-efi-i386 is installed at /boot/efi/EFI/arch/refind/refindia32.efi
+
+HTML Documentation is available at /usr/share/refind/docs/html/
+
+More info at https://wiki.archlinux.org/index.php/UEFI_Bootloaders#Using_rEFInd
+
+EOF
+	
+}
+
+post_upgrade() {
+	
+	post_install
+	
+}
+

Copied: refind-efi-i386/repos/extra-any/refind_include_more_shell_paths.patch (from rev 166736, refind-efi-i386/trunk/refind_include_more_shell_paths.patch)
===================================================================
--- extra-any/refind_include_more_shell_paths.patch	                        (rev 0)
+++ extra-any/refind_include_more_shell_paths.patch	2012-09-17 12:50:53 UTC (rev 166737)
@@ -0,0 +1,21 @@
+diff --git a/refind/main.c b/refind/main.c
+index 9558655..3f54b4f 100644
+--- a/refind/main.c
++++ b/refind/main.c
+@@ -58,13 +58,13 @@
+ 
+ #define MACOSX_LOADER_PATH      L"System\\Library\\CoreServices\\boot.efi"
+ #if defined (EFIX64)
+-#define SHELL_NAMES             L"\\EFI\\tools\\shell.efi,\\shellx64.efi"
++#define SHELL_NAMES             L"\\EFI\\tools\\shellx64.efi,\\EFI\\tools\\shell.efi,\\shellx64.efi"
+ #define DRIVER_DIRS             L"drivers,drivers_x64"
+ #elif defined (EFI32)
+-#define SHELL_NAMES             L"\\EFI\\tools\\shell.efi,\\shellia32.efi"
++#define SHELL_NAMES             L"\\EFI\\tools\\shellia32.efi,\\EFI\\tools\\shell.efi,\\shellia32.efi"
+ #define DRIVER_DIRS             L"drivers,drivers_ia32"
+ #else
+-#define SHELL_NAMES             L"\\EFI\\tools\\shell.efi"
++#define SHELL_NAMES             L"\\EFI\\tools\\shell.efi,\\shell.efi"
+ #define DRIVER_DIRS             L"drivers"
+ #endif
+ 

Copied: refind-efi-i386/repos/extra-any/refind_linux.conf (from rev 166736, refind-efi-i386/trunk/refind_linux.conf)
===================================================================
--- extra-any/refind_linux.conf	                        (rev 0)
+++ extra-any/refind_linux.conf	2012-09-17 12:50:53 UTC (rev 166737)
@@ -0,0 +1,5 @@
+## This file should be present in the same directory as the kernel file(s)
+## More info at http://www.rodsbooks.com/refind/linux.html , http://www.rodsbooks.com/efi-bootloaders/efistub.html
+
+"Boot with defaults"    "root=/dev/disk/by-uuid/XXXXXXXXXXXXXXXXX ro rootfstype=ext4 add_efi_memmap"
+"Boot into terminal"    "root=/dev/disk/by-uuid/XXXXXXXXXXXXXXXXX ro rootfstype=ext4 add_efi_memmap 3"




More information about the arch-commits mailing list